' Copyright 2006 Herre Kuijpers - <herre@xs4all.nl>
'
' This source file(s) may be redistributed, altered and custimized
' by any means PROVIDING the authors name and all copyright
' notices remain intact.
' THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
' EXPRESS OR IMPLIED. USE IT AT YOUR OWN RISK. THE AUTHOR ACCEPTS NO
' LIABILITY FOR ANY DATA DAMAGE/LOSS THAT THIS PRODUCT MAY CAUSE.
'-----------------------------------------------------------------------

Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports OutlookStyleControls

Namespace OutlookBarApp
	Public Partial Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			ShowPanes("show initial options here", "show homepage here")
		End Sub

		Private Sub ShowPanes(ByVal label1Text As String, ByVal label2Text As String)
			label1.Text = label1Text
			label2.Text = label2Text
		End Sub

        Private Sub outlookBar1_Click(ByVal sender As Object, ByVal e As OutlookStyleControls.OutlookBar.ButtonClickEventArgs) Handles outlookBar1.Click
            Dim idx As Integer = outlookBar1.Buttons.IndexOf(e.SelectedButton)
            Select Case idx
                Case 0 ' contacts
                    ShowPanes("show contacts options here", "show sheet with contacts here")
                Case 1 ' mail
                    ShowPanes("show mail folders here", "show list of mails here")
                Case 2 ' calendar
                    ShowPanes("show calendar control here", "show agenda here")
                Case 3 ' tasks
                    ShowPanes("show task options here", "show list of tasks here")
                Case Else ' notes
                    ShowPanes("show notes options here", "show post-it format notes here")
            End Select


        End Sub

		Private Sub menuOlive_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuOlive.Click
			outlookBar1.GradientButtonNormalDark = Color.FromArgb(178, 193, 140)
			outlookBar1.GradientButtonNormalLight = Color.FromArgb(234, 240, 207)
			outlookBar1.Invalidate()
		End Sub

		Private Sub menuBlue_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuBlue.Click
			outlookBar1.GradientButtonNormalDark = Color.FromArgb(126, 166, 225)
			outlookBar1.GradientButtonNormalLight = Color.FromArgb(203, 225, 252)
			outlookBar1.Invalidate()

		End Sub

		Private Sub menuSilver_Click(ByVal sender As Object, ByVal e As EventArgs) Handles menuSilver.Click
			outlookBar1.GradientButtonNormalDark = Color.FromArgb(150, 148, 178)
			outlookBar1.GradientButtonNormalLight = Color.FromArgb(225, 226, 236)
			outlookBar1.Invalidate()

		End Sub

	End Class
End Namespace